Nestopia Core API: Nes::Core::Sound::Output

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Core::Sound::Output

class Nes::Core::Sound::Output

Sound output context.

Inner Classes, Typedefs, and Enums
`typedef` | `Nes::Core::Sound::Output::LockCallback` Sound lock callback prototype.
`typedef` | `Nes::Core::Sound::Output::UnlockCallback` Sound unlock callback prototype.

Field Summary
`uint[ 2 ]` | `length` Length in number of samples for one frame.
`static Nes::Core::Sound::Output::Locker` | `lockCallback` Sound lock callback manager.
`void*[ 2 ]` | `samples` Pointer to sound memory to be written to.
`static Nes::Core::Sound::Output::Unlocker` | `unlockCallback` Sound unlock callback manager.

Constructor Summary
`Output( void* s0 = 0, uint l0 = 0, void* s1 = 0, uint l1 = 0 )`

Field Detail

### length

    public uint length[ 2 ];

  Length in number of samples for one frame. Assign 0 to length[1] if circular buffers aren't needed. Length doesn't neccesarily need to be the same value for every frame as long as they eventually add up in relation to the emulation speed. The requested number of samples will always be written even if the length is greater than what the sound engine normally produces. Non-written samples for one frame will be carried over to the next through an internal buffer.

### lockCallback

    public static Nes::Core::Sound::Output::Locker lockCallback;

  Sound lock callback manager. Static object used for adding the user defined callback.

### samples

    public void* samples[ 2 ];

  Pointer to sound memory to be written to. Assign NULL to samples[1] if circular buffers aren't needed.

### unlockCallback

    public static Nes::Core::Sound::Output::Unlocker unlockCallback;

  Sound unlock callback manager. Static object used for adding the user defined callback.

Constructor Detail

### Output

    public Output( void* s0 = 0, uint l0 = 0, void* s1 = 0, uint l1 = 0 );

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD